package com.nicolas.juegosclasicos;

import java.util.List;

import android.app.Activity;
import android.hardware.Sensor;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;

public class JuegoNadal extends Activity {
    private Pantalla gameView;
    public boolean onCreateOptionsMenu(Menu menu) {
        menu.add("SALIR"); 
        menu.add("PAUSA");
        menu.add("CONTINUAR");
        return super.onCreateOptionsMenu(menu);
    }
	public boolean onOptionsItemSelected(MenuItem item) {   
    	if (item.getTitle() == "SALIR") 
    		finish(); 
    	
   		return super.onOptionsItemSelected(item);    
    }
    @SuppressWarnings("static-access")
	@Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.juego);
        gameView = (Pantalla)findViewById(R.id.Game);
        SensorManager sensores = (SensorManager)getSystemService(Activity.SENSOR_SERVICE);
		List<Sensor> listaSensores = sensores.getSensorList(Sensor.TYPE_ACCELEROMETER);
		Sensor acelerometro = listaSensores.get(0);
		sensores.registerListener((SensorEventListener)gameView, acelerometro, sensores.SENSOR_DELAY_UI);
    }
   
}